org.eclipse.emf.cdo.eresource

## Interface CDOResourceFactory

- All Superinterfaces:
    Resource.Factory
  All Known Implementing Classes:
    CDOResourceFactoryImpl

      public interface CDOResourceFactory
      extends Resource.Factory

  Creates `CDOResource` instances.

  Note that the only important task of this factory is to instantiate a `CDOResourceImpl` and mark it `existing` or not. All further `URI` processing is done later on in the registration process, especially in `CDOResourceImpl.basicSetResourceSet()`.

  The recognized URI formats are explained in `CDOURIUtil` and `CDOURIData`.

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

      `Resource.Factory.Descriptor, Resource.Factory.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOResourceFactory` | `INSTANCE`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

      `createResource`

- - ### Field Detail

    - #### INSTANCE

          static final CDOResourceFactory INSTANCE

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html